import { ChangeDetectorRef, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { CmsService } from '@spartacus/core';
import { BehaviorSubject } from 'rxjs';
import { CartService } from '../services/cart.service';
import { MyAccountService } from '../services/my-account.service';
import { OrderHistoryService } from '../services/order-history.service';
import * as i0 from "@angular/core";
export declare class CustomOrderDetailsComponent implements OnInit, OnChanges {
    cmsService: CmsService;
    router: Router;
    private route;
    private orderHistoryService;
    private cartService;
    cd: ChangeDetectorRef;
    private documentsData;
    orderDetails: any;
    isDesktop: boolean;
    isMobile: boolean;
    isTablet: boolean;
    listview: boolean;
    isExpandAll: boolean;
    totalPrice: any;
    dataAvailale: any;
    showOrder: boolean;
    showWaitCursor: BehaviorSubject<boolean>;
    orderId: any;
    orderStatuses: any;
    sortData: any;
    statusCode?: string;
    filterVal: any;
    totalRecord: any;
    showPopUp: boolean;
    search: any;
    invoicePdfData: any;
    invoiceData: any;
    downloadData: any;
    orderPDFdetails: any;
    breadcrumbData: any;
    orderDetailsPage: boolean;
    constructor(cmsService: CmsService, router: Router, route: ActivatedRoute, orderHistoryService: OrderHistoryService, cartService: CartService, cd: ChangeDetectorRef, documentsData: MyAccountService);
    sortby: string[];
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    orderPdf(): void;
    invoicePdf(): void;
    getOrderList(): void;
    sortBy(val: any): void;
    checkOrderStatus(event: any): void;
    gridView(): void;
    listView(): void;
    expandAll(): void;
    contractAll(): void;
    getOrderStatusData(): void;
    onBackbuttonClick(): void;
    onResize(event: any): void;
    onPageRefresh(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomOrderDetailsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomOrderDetailsComponent, "app-custom-order-details", never, {}, {}, never, never>;
}
